<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright 2016-2022 Hedera Hashgraph, LLC
  ~
  ~ This software is the confidential and proprietary information of
  ~ Hedera Hashgraph, LLC. ("Confidential Information"). You shall not
  ~ disclose such Confidential Information and shall use it only in
  ~ accordance with the terms of the license agreement you entered into
  ~ with Hedera Hashgraph.
  ~
  ~ HEDERA HASHGRAPH MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF
  ~ THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
  ~ TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
  ~ PARTICULAR PURPOSE, OR NON-INFRINGEMENT. HEDERA HASHGRAPH SHALL NOT BE LIABLE FOR
  ~ ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
  ~ DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
  -->

<config version="11.1.3">
  <sessions>
    <session id="113" name="FCQ Profile" jvmConfigurationId="110" userInitRequired="true" methodCallRecordingType="instrumentation" compilationTarget="1.8">
      <filters>
        <group type="exclusive" name="Default excludes" template="defaultExcludes" />
<!--        Default excludes to be added in exclusive type. Use com.swirlds. in inclusive type to record all data-->
        <filter type="inclusive" name="com.swirlds.fcqueue." />
        <filter type="exclusive" name="com.swirlds" />
      </filters>
      <triggers logTarget="file" logFile="./jprofiler-output.log">
<!--        First timer to take the baseline snapshot after 1 min 30 secs. This snapshot is used as baseline for other snapshots-->
        <timer descriptionType="manual" manualDescription="Initial Startup" offsetTime="1" intervalTime="30" intervalTimeUnit="s" type="limited">
          <actions>
            <startRecording>
              <cpu enabled="true" />
              <allocation enabled="false" />
              <telemetry enabled="true" />
            </startRecording>
            <triggerHeapdump onlyRecordedObjects="true" />
            <saveSnapshot file="jprofiler-snapshot" number="true" />
          </actions>
        </timer>
<!--        Second timer that takes snapshots every 5 minutes interval starting after 15 minutes of test-->
        <timer descriptionType="manual" manualDescription="Every 5 minutes after 15 minute offset" offsetTime="15" intervalTime="5">
          <actions>
            <markHeap />
            <triggerHeapdump onlyRecordedObjects="true" />
            <saveSnapshot file="jprofiler-snapshot" number="true" />
          </actions>
        </timer>
      </triggers>
    </session>
  </sessions>
</config>
